@import url(mainstyle.css);

* {
  font-family: var(--primefont);
}
a {
  color: inherit;
  text-decoration: none;
}

[data-ornuvia-theme="dark"] [data-logo="dark"],
[data-ornuvia-theme="light"] [data-logo="light"] {
  display: block;
}

[data-ornuvia-theme="dark"] [data-logo="light"],
[data-ornuvia-theme="light"] [data-logo="dark"] {
  display: none;
}
.icon-sm {
  background: var(--icon-bg);
  color: var(--white-text);
  width: 40px;
  height: 40px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}


.nav-link {
  color: var(--nav-text);
  font-weight: 600 !important;
}
.nav-item.active .nav-link,
.nav-item .nav-link:hover {
  color: var(--prime-text);
}
.theme-btn{
  width: 50px;
}
.btn-close{
  color:var(--prime-btn-text) !important;
}
.jewelry-banner-section {
    background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.788)),  url('../../assets/images/banner.webp')no-repeat;
    background-size: cover;
    background-position: center; 
    min-height: 650px;
}
.promo-banner {
  height: 500px; 
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative; 
  }
  .promo-banner h3{
    text-shadow:
  1px 1px 10px black,
  0 0 1em rgb(226, 226, 230),
  0 0 0.2em rgb(243, 243, 250);
}
.card {
  position: relative;
  overflow: hidden;
  transition: 0.5s all;
}

/* Shine effect */
.card::before {
  position: absolute;
  content: "";
  top: -10%;
  left: -100%;
  width: 50%;
  height: 300%;
  transform: rotate(-45deg);
  background: rgba(255, 255, 255, 0.1);
  box-shadow: 0 0 100px 40px rgba(255, 255, 255, 0.08);
  transition: 0.7s all;
}

/* Hover effect */
.card:hover::before {
  left: 200%;
  top: -100%;
}

.card:hover {
  transform: scale(1.015);
  filter: brightness(1.15);
  box-shadow: 0 7px 30px 5px rgba(0, 0, 0, 0.4);
}

.engagement-rings {
  background-image: url('../../assets/images/Engagement-Rings.webp');
}

.diamond-necklace {
    background-image: url('../../assets/images/Diamond-Necklace.webp') ; 
}

@media (max-width: 767.98px) {
  .promo-banner{
    height: 450px; 
  }
  .jewelry-banner-section{
    height: 450px;
  }
  .jewelry-banner-section h1{
      font-size: 40px;
    }
    .water-sustainability-banner{
      height: 400px;
    }
  }
  
  .store-banner {
    min-height: 650px;
    background: 
    linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.925)), 
    url('../../assets/images/second-banner.webp');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 1;
  }
  .form-control:focus{
    border: 1px solid white;
    box-shadow: none;
}
.input-text::placeholder {
  color: var(--input-text) !important;  
}
#backtotop.show {
    opacity: 1;
    visibility: visible;
}
#backtotop {
  position: fixed;
    bottom: 40px;
    right: 30px;
    opacity: 0;
    visibility: hidden;
    z-index: 1000;
    width: 50px !important;
    min-width: unset;
    height: 50px !important;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .btn-close{
    background: unset !important;
}

/* about page */
  .about-banner-section{
      background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.788)),  url('../../assets/images/about-banner.webp')no-repeat;
      background-size: cover;
      background-position: center; 
      min-height: 550px;
  }
 .stroy-banner-section{
     background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.233)),  url('../../assets/images/about-image-1.webp')no-repeat;
      background-size: cover;
      background-position: center; 
      display: flex;
      align-items: center;
      min-height: 550px;
}

  .Founder-card .card-image {
    overflow: hidden;
    max-height: 400px;
    object-fit: cover;
    object-position: top;
}
.Founder-card .card-image img {
    transition: transform 0.5s ease;
}

.Founder-card:hover .card-image img {
    transform: scale(1.05);
}

/* service page */
  .service-banner-section{
      background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.788)),  url('../../assets/images/service-banner-section.webp')no-repeat;
      background-size: cover;
      background-position: center; 
      min-height: 550px;
  }

  .counter-section{
      background: linear-gradient(rgba(0, 0, 0, 0.568), rgba(0, 0, 0, 0.788)),  url('../../assets/images/counter-section.webp')no-repeat;
      background-size: cover;
      background-position: center; 
      min-height: 350px;
      display: flex;
      align-items: center;
      justify-content: center;
  }
.team-card .image-container img{
  width: 100px;
  height: 100px;
  border-radius: 50%;
  margin: 0 auto;
}
.team-card {
  transition: all 0.3s ease;
}

.team-card:hover {
  transform: translateY(-8px);
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.15);
}

/* Image zoom effect */
.team-card img {
  transition: transform 0.3s ease;
}

.team-card:hover img {
  transform: scale(1.08);
}

  .Collection-banner-section {
      background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.788)),  url('../../assets/images/collection-banner.webp')no-repeat;
      background-size: cover;
      background-position: center; 
      min-height: 550px;
  }
  .collection-promo-banner{
        min-height: 450px;
    background: 
    linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.925)), 
    url('../../assets/images/collection-promo-banner.webp');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
  
  }

/* contact page */
  .contact-banner-section{
      background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.788)),  url('../../assets/images/contact-banner.webp')no-repeat;
      background-size: cover;
      background-position: center; 
      min-height: 550px;
  }
  .add-map {
    filter: grayscale(100%);
}
div.error{
  color: red;
  font-size: 14px;
}
#newsletter{
  position: relative;
}
#newsletter div.error{
  position: absolute;
  bottom: -23px;
}